function UploaderL(divUploader)
{
	var me = this;
	this.divName= divUploader;
	this.uploader = $("#"+divUploader).uploadFile({
							url:contextPath + "/uploadDocumentFrame.action",
							fileName:"fileUpload",
							maxFileSize:20971520,
							dragDrop:true,
							autoSubmit:false,
							multiple:false,
							maxFileCount:1,
							dynamicFormData: function()
							{
								debugger
								var data ={"idContrato":$("#idContrato").val(), "idDoc": $("#idDoc").val()};
								return data;
							},
							
							dragDropStr: "<span><b>Arrastra aqui los archivos a subir</b></span>",
				            uploadStr:"Subir",
				            abortStr: "Abortar",
				            cancelStr: "Cancelar",
				            deletelStr: "Borrar",
				            doneStr: "Concluido",
				            multiDragErrorStr: "No se permite mas arrastrar mas de un archivo.",
				            extErrorStr: "no es posible adjuntar el documento. Activar extensiones: ",
				            duplicateErrorStr: "no es posible adjuntar el documento. El archivo ya existe.",
				            sizeErrorStr: "no es posible adjuntar el documento. Tama&ntilde;o m\u00E1ximo permitido: ",
				            uploadErrorStr: "Carga no permitida",
				            maxFileCountErrorStr: "no es posible adjuntar el documento. Tama&ntilde;o m\u00E1ximo de documentos permitido:",
				            downloadStr: "Descargar",
				            onSuccess:function(files,data,xhr,pd)
				            {
				                if(data.error == '' || data.error == null)
				    			{
				    				showMessage("El documento ["+data.fileUploadFileName+"] se a subido con \u00E9xito");
				    				$('#modalDocum').modal('hide');
				    				
				    			}
				    			else{
				    				showError(data.error);
				    				$('#'+divUploader).modal('hide');
				    				
				    			}
				            },
				            onError: function(files,status,errMsg,pd)
				            {
				            	showError("Ocurri\u00F3 un error al subir el documento");
				            	$('#modalCarga').modal('hide');
				            }
					}); 
}


UploaderL.prototype.startUpload = function() {
	this.uploader.startUpload();
	$("#dialogoDocs").hide();
	$('#dialogoDocs').modal('hide');
};

UploaderL.prototype.initUploader = function() {
	this.uploader.reset();
};

UploaderL.prototype.limpiaForma = function(nameModal) {	
	$("#"+nameModal).find("div.ajax-file-upload-statusbar").remove();  // se quitan los div con informacion de las cargar previas.
};